Bug 1119213 - [AAA] add sort hint to profile selection
Summary: [AAA] add sort hint to profile selection
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Mooli Tayer
QA Contact:
URL:
Whiteboard: infra
Depends On:
Blocks: oVirt-AAA-rewrite
TreeView+ depends on / blocked
 
Reported: 2014-07-14 09:41 UTC by Alon Bar-Lev
Modified: 2016-02-10 19:14 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 10:23:31 UTC
oVirt Team: Infra


Attachments (Terms of Use)

Description Alon Bar-Lev 2014-07-14 09:41:16 UTC
Opening as downstream, as this is downstream request.

1. Add vdc_options variables: ProfileSortHint or similar.

Format: "profile":hint "profile:hint", or any other simple.

Default: "internal":z001

2. When displaying profile drop-down in login page, sort profiles based on the hint, default hint is blank.

Comment 1 Alon Bar-Lev 2014-07-14 09:42:44 UTC
Itamar, please dev-ack.

I think this is a mistake, we are working to make internal first class citizen provider.

Comment 2 Oved Ourfali 2014-07-16 11:46:58 UTC
(In reply to Alon Bar-Lev from comment #1)
> Itamar, please dev-ack.
> 
> I think this is a mistake, we are working to make internal first class
> citizen provider.

So you'll need to add it to engine-manage-domains as well?

Comment 3 Alon Bar-Lev 2014-07-16 11:49:32 UTC
(In reply to Oved Ourfali from comment #2)
> (In reply to Alon Bar-Lev from comment #1)
> > Itamar, please dev-ack.
> > 
> > I think this is a mistake, we are working to make internal first class
> > citizen provider.
> 
> So you'll need to add it to engine-manage-domains as well?

no... this is end-user functionality... sysadmin can survive any sort.

regardless... engine-manage-domains will be obsoleted in 3.5, no more change in legacy providers not this utility (I hope).

Comment 4 Oved Ourfali 2014-07-16 11:51:57 UTC
(In reply to Alon Bar-Lev from comment #3)
> (In reply to Oved Ourfali from comment #2)
> > (In reply to Alon Bar-Lev from comment #1)
> > > Itamar, please dev-ack.
> > > 
> > > I think this is a mistake, we are working to make internal first class
> > > citizen provider.
> > 
> > So you'll need to add it to engine-manage-domains as well?
> 
> no... this is end-user functionality... sysadmin can survive any sort.
> 
> regardless... engine-manage-domains will be obsoleted in 3.5, no more change
> in legacy providers not this utility (I hope).

So who will set it and how?
Will you expose it via engine-config?

Comment 5 Alon Bar-Lev 2014-07-16 11:53:21 UTC
(In reply to Oved Ourfali from comment #4)
> So who will set it and how?
> Will you expose it via engine-config?

yes... standard vdc_options... per comment#0.

Comment 6 Alon Bar-Lev 2014-07-21 10:23:31 UTC
Itamar, PM, please reopen if is actually required.


Note You need to log in before you can comment on or make changes to this bug.